## org.flexdock.plaf.resources
Class ResourceHandler

    java.lang.Object
      org.flexdock.plaf.resources.ResourceHandler

Direct Known Subclasses:
  ActionResourceHandler, ColorResourceHandler, ConstructorHandler, FontResourceHandler, ImageIconResourceHandler, ImageResourceHandler, InsetsResourceHandler, PainterResourceHandler, PlafResourceHandler, RaisedBorderResource, RoundedBorderResource, SquareBevelBorderResource, StringResourceHandler

    public class ResourceHandler

extends java.lang.Object

Author:
  Christopher Butler

Constructor Summary
`ResourceHandler()`

Method Summary
`protected java.lang.String[]` `getArgs(java.lang.String data)`
`java.lang.Object` `getResource(java.lang.String stringValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceHandler

    public ResourceHandler()

Method Detail

### getResource

    public java.lang.Object getResource(java.lang.String stringValue)

### getArgs

    protected java.lang.String[] getArgs(java.lang.String data)